package dev.peerat.parser.java;

import java.util.List;
import java.util.function.Function;

import dev.peerat.parser.Token;
import dev.peerat.parser.java.visitor.JavaVisitor;
import dev.peerat.parser.visitor.VisitorBag;

public class Import extends JavaElement{
	
	private boolean isStatic;
	private Token value;
	
	public Import(boolean isStatic, Token value){
		this.isStatic = isStatic;
		this.value = value;
	}
	
	public boolean isStatic(){
		return this.isStatic;
	}
	
	public Token getValue(){
		return this.value;
	}

	@Override
	public void build(Builder builder) throws Exception {
		
	}

	@Override
	public <E extends JavaElement> E find(Function<JavaElement, Boolean> finder) {
		return null;
	}

	@Override
	public <E extends JavaElement> void findAll(Function<JavaElement, Boolean> finder, List<E> list) {
		
	}

	@Override
	public VisitorBag visit(JavaVisitor<?> visitor) {
		if(visitor.canVisit(getClass())) return visitor.visit(this);
		return null;
	}

}
